Bug 59427 - fails to backup old config file
fails to backup old config file
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: gnome-lokkit (Show other bugs)
7.2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-02-07 13:44 EST by Mike Wangsmo
Modified: 2007-04-18 12:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-18 12:36:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mike Wangsmo 2002-02-07 13:44:34 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.0.2 (X11; Linux i686; U;) Gecko/20020102

Description of problem:
When gnome-lokkit runs and builds a new /etc/sysconfic/ipchains file, it dumps
the previous existing /etc/sysconfig/ipchains file.  A better behavior would be
to backup an exisitng ipchains file to ipchains.bak or whatever.

I know ipchains is going away, but as long as RH is shipping this tool, it
should be a little more protective of prior config information.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.create /etc/sysconfig/ipchains with rules
2.run gnome-lokkit to create a new firewall rule set
3.new rule file replaces previous ipchains rule file without a backup creation.
	

Additional info:
Comment 1 Kjartan Maraas 2004-03-29 16:08:15 EST
Should be moved to system-config-securitylevel?
Comment 2 Bill Nottingham 2006-08-07 15:11:38 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Red Hat apologizes that these issues have not been resolved yet. We do
want to make sure that no important bugs slip through the cracks.
Please check if this issue is still present in a current Fedora Core
release. If so, please change the product and version to match, and
check the box indicating that the requested information has been
provided. Note that any bug still open against Red Hat Linux on will be
closed as 'CANTFIX' on September 30, 2006. Thanks again for your help.
Comment 3 Bill Nottingham 2006-10-18 12:36:04 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.